package net.minecraft.client.gui;

import org.lwjgl.opengl.GL11;
import net.minecraft.client.Minecraft;

public class GuiButton extends Gui {
    private int width;
    private int height;
    private int xPosition;
    private int yPosition;
    public String displayString;
    public int id;
    public boolean enabled;
    public boolean visible;
    
    public GuiButton(final int integer1, final int integer2, final int integer3, final String string) {
        this(integer1, integer2, integer3, 200, 20, string);
    }
    
    protected GuiButton(final int id, final int xPosition, final int yPosition, final int width, final int integer5, final String displayString) {
        this.width = 200;
        this.height = 20;
        this.enabled = true;
        this.visible = true;
        this.id = id;
        this.xPosition = xPosition;
        this.yPosition = yPosition;
        this.width = width;
        this.height = 20;
        this.displayString = displayString;
    }
    
    public final void drawButton(final Minecraft minecraft, int integer2, final int integer3) {
        if (!this.visible) {
            return;
        }
        final FontRenderer fontRenderer = minecraft.fontRenderer;
        GL11.glBindTexture(3553, minecraft.renderEngine.getTexture("/gui/gui.png"));
        GL11.glColor4d(1.0f, 1.0f, 1.0f, 1.0f);
        int n = 1;
        integer2 = ((integer2 >= this.xPosition && integer3 >= this.yPosition && integer2 < this.xPosition + this.width && integer3 < this.yPosition + this.height) ? 1 : 0);
        if (!this.enabled) {
            n = 0;
        }
        else if (integer2 != 0) {
            n = 2;
        }
        this.drawTexturedModalRect(this.xPosition, this.yPosition, 0, 46 + n * 20, this.width / 2, this.height);
        this.drawTexturedModalRect(this.xPosition + this.width / 2, this.yPosition, 200 - this.width / 2, 46 + n * 20, this.width / 2, this.height);
        if (!this.enabled) {
            Gui.drawCenteredString(fontRenderer, this.displayString, this.xPosition + this.width / 2, this.yPosition + (this.height - 8) / 2, -6250336);
            return;
        }
        if (integer2 != 0) {
            Gui.drawCenteredString(fontRenderer, this.displayString, this.xPosition + this.width / 2, this.yPosition + (this.height - 8) / 2, 16777120);
            return;
        }
        Gui.drawCenteredString(fontRenderer, this.displayString, this.xPosition + this.width / 2, this.yPosition + (this.height - 8) / 2, 14737632);
    }
    
    public final boolean mousePressed(final int integer1, final int integer2) {
        return this.enabled && integer1 >= this.xPosition && integer2 >= this.yPosition && integer1 < this.xPosition + this.width && integer2 < this.yPosition + this.height;
    }
}
