package net.minecraft.client.inventory;

import java.util.Comparator;

import net.minecraft.game.item.Item;

public class ItemSorter implements Comparator<Item> {

	@Override
	public int compare(Item i,Item j) {
		if (i==null&&j==null) {
			return 0;
		}
		if (i==null&&j!=null) {
			return 1;
		}
		if (i!=null&&j==null) {
			return -1;
		}
		return j.shiftedIndex<i.shiftedIndex ? 1 : -1;
	}

}
