package net.minecraft.client.renderer;

import java.awt.image.BufferedImage;

public final class ThreadDownloadImageData {
    public BufferedImage image;
    public int referenceCount;
    public int textureName;
    public boolean textureSetupComplete;
    
    public ThreadDownloadImageData(final String string, final ImageBufferDownload imageBufferDownload) {
        this.referenceCount = 1;
        this.textureName = -1;
        this.textureSetupComplete = false;
        new ThreadDownloadImage(this, string, imageBufferDownload).start();
    }
}
