package net.minecraft.game.block;

public final class BlockOreStorage extends Block {
    public BlockOreStorage(final int blockID, final int oreSideTexture) {
        super(blockID, Material.iron);
        this.blockIndexInTexture = oreSideTexture;
    }
    
    @Override
    public final int getBlockTextureFromSide(final int blockSide) {
        if (blockSide == 1) {
            return this.blockIndexInTexture - 16;
        }
        if (blockSide == 0) {
            return this.blockIndexInTexture + 16;
        }
        return this.blockIndexInTexture;
    }
}
