package net.minecraft.game.level;

public class ChunkCoord {
	public final int x;
	public final int y;
	public final int z;
	public ChunkCoord(int x,int y,int z) {
		this.x=x;
		this.y=y;
		this.z=z;
	}
	
	public int hashCode() {
		return x<<20|y<<12|z;
	}
	public boolean equals(Object obj) {
		if(obj==null||!(obj instanceof ChunkCoord)) 
			return false;
		ChunkCoord cc = (ChunkCoord)obj;
		return cc.x==x&&cc.y==y&&cc.z==z;
	}
}
