package net.minecraft.client.player;

import net.minecraft.game.level.World;
import net.minecraft.game.item.ItemStack;
import net.minecraft.client.Minecraft;
import net.minecraft.client.SessionData;
import net.minecraft.game.block.Block;
import net.minecraft.game.entity.player.EntityPlayer;
import net.minecraft.game.level.MobSpawner;

public final class PlayerControllerCreative extends PlayerController {
    public PlayerControllerCreative(Minecraft minecraft)
	{
		super(minecraft);
	}

	private MobSpawner mobSpawner;
    
    @Override
    public final void blankPlayerFunction(final EntityPlayer entityPlayer) {
        for (int i = 0; i < 9; ++i) {
            if (entityPlayer.inventory.mainInventory[i] == null) {
                this.mc.thePlayer.inventory.mainInventory[i] = new ItemStack(((Block)SessionData.allowedBlocks.get(i)).blockID);
            }
            else {
                this.mc.thePlayer.inventory.mainInventory[i].stackSize = 1;
            }
        }
    	//entityPlayer.inventory.mainInventory[0] = new ItemStack(Block.stone.blockID,1);
    	//entityPlayer.inventory.mainInventory[1] = new ItemStack(Block.gear.blockID,1);
    }
    
    @Override
    public final boolean shouldDrawHUD() {
        return false;
    }
    
    @Override
    public final void onWorldChange(final World world) {
        super.onWorldChange(world);
        world.survivalWorld = false;
        this.mobSpawner = new MobSpawner(world);
    }
    
    @Override
    public final void updateController() {
        this.mobSpawner.spawn();
    }
}
