package net.minecraft.game.entity.animal;

import net.minecraft.game.item.Item;
import com.nbt.NBTTagCompound;
import net.minecraft.game.level.World;

public class EntityPig extends EntityAnimals {
    public EntityPig(final World world) {
        super(world);
        this.texture = "/mob/pig.png";
        this.setSize(0.9f, 0.9f);
    }
    
    @Override
    protected final void writeEntityToNBT(final NBTTagCompound nbtTagCompound) {
        super.writeEntityToNBT(nbtTagCompound);
    }
    
    @Override
    protected final void readEntityFromNBT(final NBTTagCompound nbtTagCompound) {
        super.readEntityFromNBT(nbtTagCompound);
    }
    
    @Override
    protected final String getEntityString() {
        return "Pig";
    }
    
    @Override
    protected final String getLivingSound() {
        return "mob.pig";
    }
    
    @Override
    protected final String getHurtSound() {
        return "mob.pig";
    }
    
    @Override
    protected final String getDeathSound() {
        return "mob.pigdeath";
    }
    
    @Override
    protected final int scoreValue() {
        return Item.porkRaw.shiftedIndex;
    }
}
