package net.minecraft.game.entity.monster;

import net.minecraft.game.level.World;

public class EntityGiant extends EntityMonster {
    public EntityGiant(final World world) {
        super(world);
        this.texture = "/mob/zombie.png";
        this.moveSpeed = 0.5f;
        this.attackStrength = 50;
        this.health *= 10;
        this.yOffset *= 6.0f;
        this.setSize(this.width * 6.0f, this.height * 6.0f);
    }
    
    @Override
    protected final double getBlockPathWeight(final int integer1, final int integer2, final int integer3) {
        return this.worldObj.getLightBrightness(integer1, integer2, integer3) - 0.5f;
    }
    
    @Override
    protected final String getEntityString() {
        return "Giant";
    }
}
