package net.minecraft.game.level;

import net.minecraft.game.entity.Entity;

public interface IWorldAccess {
    void markBlockAndNeighborsNeedsUpdate(final int integer1, final int integer2, final int integer3);
    
    void markBlockRangeNeedsUpdate(final int integer1, final int integer2, final int integer3, final int integer4, final int integer5, final int integer6);
    
    void loadRenderers();
    
    void playSound(final String string, final double double2, final double double3, final double double4, final double double5, final double double6);
    
    void spawnParticle(final String string, final double double2, final double double3, final double double4, final double double5, final double double6, final double double7);
    
    void playMusic(final String string, final double double2, final double double3, final double double4, final double double5);
    
    void obtainEntitySkin(final Entity player);
    
    void releaseEntitySkin(final Entity player);
    
    void updateAllRenderers();
}
